package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.SysScenic;
import com.ruoyi.system.domain.dto.SetPriceAndWorkDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysScenicDefaultMapper;
import com.ruoyi.system.domain.SysScenicDefault;
import com.ruoyi.system.service.ISysScenicDefaultService;

/**
 * 各景区默认配置Service业务层处理
 * 
 * @author haotian
 * @date 2024-12-13
 */
@Service
public class SysScenicDefaultServiceImpl implements ISysScenicDefaultService 
{
    @Autowired
    private SysScenicDefaultMapper sysScenicDefaultMapper;

    /**
     * 查询各景区默认配置
     * 
     * @param id 各景区默认配置主键
     * @return 各景区默认配置
     */
    @Override
    public SysScenicDefault selectSysScenicDefaultById(Long id)
    {
        return sysScenicDefaultMapper.selectSysScenicDefaultById(id);
    }

    /**
     * 查询各景区默认配置列表
     * 
     * @param sysScenicDefault 各景区默认配置
     * @return 各景区默认配置
     */
    @Override
    public List<SysScenicDefault> selectSysScenicDefaultList(SysScenicDefault sysScenicDefault)
    {
        return sysScenicDefaultMapper.selectSysScenicDefaultList(sysScenicDefault);
    }

    /**
     * 新增各景区默认配置
     * 
     * @param sysScenicDefault 各景区默认配置
     * @return 结果
     */
    @Override
    public int insertSysScenicDefault(SysScenicDefault sysScenicDefault)
    {
        sysScenicDefault.setCreateTime(DateUtils.getNowDate());
        return sysScenicDefaultMapper.insertSysScenicDefault(sysScenicDefault);
    }

    /**
     * 修改各景区默认配置
     * 
     * @param sysScenicDefault 各景区默认配置
     * @return 结果
     */
    @Override
    public int updateSysScenicDefault(SysScenicDefault sysScenicDefault)
    {
        return sysScenicDefaultMapper.updateSysScenicDefault(sysScenicDefault);
    }

    /**
     * 批量删除各景区默认配置
     * 
     * @param ids 需要删除的各景区默认配置主键
     * @return 结果
     */
    @Override
    public int deleteSysScenicDefaultByIds(Long[] ids)
    {
        return sysScenicDefaultMapper.deleteSysScenicDefaultByIds(ids);
    }

    /**
     * 删除各景区默认配置信息
     * 
     * @param id 各景区默认配置主键
     * @return 结果
     */
    @Override
    public int deleteSysScenicDefaultById(Long id)
    {
        return sysScenicDefaultMapper.deleteSysScenicDefaultById(id);
    }

    @Override
    public List<SetPriceAndWorkDto> getPartPrice(SysScenic scenic){
        return sysScenicDefaultMapper.getPartPrice(scenic);
    }

    @Override
    public SysScenicDefault getScenicDefaultByScenicAndPart(String scenic, String part){
        return sysScenicDefaultMapper.getScenicDefaultByScenicAndPart(scenic, part);
    }
}
